- Elementary
- Main
- Authors
- Examples
- Files
- Pages
- Types
- Modules

Macros | Functions
Route

## Macros
#define | elm_obj_route_emap_set(emap) ELM_OBJ_ROUTE_ID(ELM_OBJ_ROUTE_SUB_ID_EMAP_SET), EO_TYPECHECK(EMap_Route *, emap)
#define | elm_obj_route_longitude_min_max_get(min, max) ELM_OBJ_ROUTE_ID(ELM_OBJ_ROUTE_SUB_ID_LONGITUDE_MIN_MAX_GET), EO_TYPECHECK(double *, min), EO_TYPECHECK(double *, max)
#define | elm_obj_route_latitude_min_max_get(min, max) ELM_OBJ_ROUTE_ID(ELM_OBJ_ROUTE_SUB_ID_LATITUDE_MIN_MAX_GET), EO_TYPECHECK(double *, min), EO_TYPECHECK(double *, max)

## Functions
EAPI Evas_Object * | elm_route_add (Evas_Object *parent)
| Add a new route to the parent. More...
void | elm_route_longitude_min_max_get (const Evas_Object *obj, double *min, double *max)
| Get the minimum and maximum values along the longitude. More...
void | elm_route_latitude_min_max_get (const Evas_Object *obj, double *min, double *max)
| Get the minimum and maximum values along the latitude. More...

## Detailed Description

For displaying a route on the map widget.

## Macro Definition Documentation

#define elm_obj_route_emap_set | ( |  | emap | ) | ELM_OBJ_ROUTE_ID(ELM_OBJ_ROUTE_SUB_ID_EMAP_SET), EO_TYPECHECK(EMap_Route *, emap)

Since
  1.8

No description supplied by the EAPI.

Parameters

  [in] | emap |

See Also
  elm_route_emap_set

#define elm_obj_route_latitude_min_max_get | ( |  | min,
|  |  | max
| ) |  | ELM_OBJ_ROUTE_ID(ELM_OBJ_ROUTE_SUB_ID_LATITUDE_MIN_MAX_GET), EO_TYPECHECK(double *, min), EO_TYPECHECK(double *, max)

Since
  1.8

Get the minimum and maximum values along the latitude.

Parameters

  [out] | min |
  [out] | max |

See Also
  elm_route_latitude_min_max_get

Referenced by elm_route_latitude_min_max_get().

#define elm_obj_route_longitude_min_max_get | ( |  | min,
|  |  | max
| ) |  | ELM_OBJ_ROUTE_ID(ELM_OBJ_ROUTE_SUB_ID_LONGITUDE_MIN_MAX_GET), EO_TYPECHECK(double *, min), EO_TYPECHECK(double *, max)

Since
  1.8

Get the minimum and maximum values along the longitude.

Parameters

  [out] | min |
  [out] | max |

See Also
  elm_route_longitude_min_max_get

Referenced by elm_route_longitude_min_max_get().

## Function Documentation

Evas_Object * elm_route_add | ( | Evas_Object * | parent | ) |

Add a new route to the parent.

Add a new route object to the parent's canvas.

Parameters

  parent | The parent object

Returns
  The new object or NULL if it cannot be created

void elm_route_latitude_min_max_get | ( | const Evas_Object * | obj,
|  | double * | min,
|  | double * | max
| ) |  |

Get the minimum and maximum values along the latitude.

Parameters

  obj | The route object.
  min | Pointer to store the minimum value.
  max | Pointer to store the maximum value.

Note
  If only one value is needed, the other pointer can be passed as `NULL`.

References elm_obj_route_latitude_min_max_get.

void elm_route_longitude_min_max_get | ( | const Evas_Object * | obj,
|  | double * | min,
|  | double * | max
| ) |  |

Get the minimum and maximum values along the longitude.

Parameters

  obj | The route object.
  min | Pointer to store the minimum value.
  max | Pointer to store the maximum value.

Note
  If only one value is needed, the other pointer can be passed as `NULL`.

References elm_obj_route_longitude_min_max_get.

Copyright ©2000-2014 Enlightenment.org - Samsung Electronics supports the EFL Documentation Project - Generated Wed Jan 8 2014 20:51:14